package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Attempt Message of Dispatch Log Detail
 */
@ApiModel(description = "Attempt Message of Dispatch Log Detail")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class OpenApiWebhookAttemptMessageVo   {
  @JsonProperty("status")
  private Integer status;

  @JsonProperty("messageCode")
  private Integer messageCode;

  @JsonProperty("attemptTime")
  private Long attemptTime;

  public OpenApiWebhookAttemptMessageVo status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * Webhook Attempt Push Status: 0/1 (Success/Failed)
   * @return status
  */
  @ApiModelProperty(value = "Webhook Attempt Push Status: 0/1 (Success/Failed)")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public OpenApiWebhookAttemptMessageVo messageCode(Integer messageCode) {
    this.messageCode = messageCode;
    return this;
  }

  /**
   * Http Message Code of Webhook Attempt Push
   * @return messageCode
  */
  @ApiModelProperty(value = "Http Message Code of Webhook Attempt Push")


  public Integer getMessageCode() {
    return messageCode;
  }

  public void setMessageCode(Integer messageCode) {
    this.messageCode = messageCode;
  }

  public OpenApiWebhookAttemptMessageVo attemptTime(Long attemptTime) {
    this.attemptTime = attemptTime;
    return this;
  }

  /**
   * Webhook Attempt Push Time, Unit (ms)
   * @return attemptTime
  */
  @ApiModelProperty(value = "Webhook Attempt Push Time, Unit (ms)")


  public Long getAttemptTime() {
    return attemptTime;
  }

  public void setAttemptTime(Long attemptTime) {
    this.attemptTime = attemptTime;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OpenApiWebhookAttemptMessageVo openApiWebhookAttemptMessageVo = (OpenApiWebhookAttemptMessageVo) o;
    return Objects.equals(this.status, openApiWebhookAttemptMessageVo.status) &&
        Objects.equals(this.messageCode, openApiWebhookAttemptMessageVo.messageCode) &&
        Objects.equals(this.attemptTime, openApiWebhookAttemptMessageVo.attemptTime);
  }

  @Override
  public int hashCode() {
    return Objects.hash(status, messageCode, attemptTime);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OpenApiWebhookAttemptMessageVo {\n");
    
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    messageCode: ").append(toIndentedString(messageCode)).append("\n");
    sb.append("    attemptTime: ").append(toIndentedString(attemptTime)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

